##  for PCLinuxOS  ##

%define ver 4.1.1
%define rel 1.nora17

%define migu_ver 20150712
%define inconsolata_ver 2.001
%define fontdir     %{_datadir}/fonts/TTF/ricty
%define fontconfdir %{_sysconfdir}/X11/fontpath.d

Name:    fonts-ttf-ricty
Summary: Ricty - TrueType font designed for programing
Summary(ja): Ricty - プログラミング用 TrueType フォント
Version: %{ver}
Release: %{rel}
License: FreeBSD, SIL OFL v1.1, IPA Font License v1.0
Group:   System/Fonts/True type
URL:     http://www.rs.tus.ac.jp/yyusa/ricty.html
Source0: http://www.rs.tus.ac.jp/yyusa/ricty/ricty_generator-%{version}.sh
BuildArch: noarch
Requires(posttrans): fonts-ttf-inconsolata >= %{inconsolata_ver}
Requires(posttrans): fonts-ttf-japanese-migu >= %{migu_ver}
Requires(posttrans): fontforge
Obsoletes: self-build-fonts-ttf-ricty

%description
Ricty is a free, TrueType font designed for programing.
We remark that Ricty fonts is generated in the installation of this package.

If you install this package, it automaticaly generate Ricty font.

%description -l ja
Ricty は Linux 環境での研究・開発に適したフリーのプログラミング用の TrueType フォントです。

このパッケージをインストールすると自動的に Ricty フォントを生成します。
（フォントの生成には2-5分程度を要します）

※ OFL 1.1 section 5 ライセンスにより、生成された Ricty フォントの再配布は禁止となりますのでご注意ください。


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{fontdir}
install -m755 %{SOURCE0} $RPM_BUILD_ROOT%{fontdir}/ricty_generator.sh

mkdir -p $RPM_BUILD_ROOT%{fontconfdir}
ln -s ../../../%{fontdir} $RPM_BUILD_ROOT%{fontconfdir}/ttf-ricty:pri=50


%posttrans
pushd %{fontdir}
echo ""
echo "Now generating Ricty font....."
echo ""
sh ricty_generator.sh auto
echo ""
echo "Complete."
popd


%files
%defattr(-,root,root,-)
%{fontdir}
%{fontconfdir}/*


%changelog
* Tue Dec 05 2017 tomcat <> 4.1.1-1
- update to 4.1.1

* Sat Sep 16 2017 tomcat <> 4.1.1-0.1b.1
- update require inconsolata font version to 2.001

* Tue Apr 04 2017 tomcat <> 4.1.1-0.1b
- update to 4.1.1b
- update require inconsolata font version to 2.000
- update %%posttrans

* Mon Feb 08 2016 tomcat <> 4.0.1-1
- update to 4.0.1
- update require inconsolata font version to 1.016
- update require Migu font version to 20150712
- generate Ricty font in %%posttrans section (do not use self-build method)

* Mon Dec 29 2014 tomcat <> 3.2.4-1.nora15
- update to 3.2.4
    fix License from Public domain to FreeBSD

* Tue Jul 22 2014 tomcat <> 3.2.3-2.nora14
- misc files put to %%{_docdir}/%%{name} instead of %%{_datadir}/%%{name}

* Sat Jul 19 2014 tomcat <> 3.2.3-1.nora14
- update to 3.2.3
- update require Migu font version to 20130617

* Tue Nov 06 2012 tomcat <> 3.2.1-1nora12
- update to 3.2.1
- fix License
- sync with self-build-fonts-ttf-ricty

* Tue Oct 04 2011 tomcat <> 3.1.2-1nora11
- update to 3.1.2

* Sun Jun 19 2011 tomcat <> 3.1.0-1nora11
- update to 3.1.0
- add 'R(post):fontforge'

* Wed Jun 15 2011 tomcat <> 3.0.2-1nora11
- Initial build for PCLinuxOS.
- SPEC file based on Vine Linux
